## Struct template type_serializer<>

zeep::xml::type_serializer<T[N]>

## Synopsis

    // In header: <zeep/xml/serialize.hpp>

    template<typename T,  N>
    struct type_serializer<> {
      // types
      typedef  ;
      typedef type_serializer<                     ;

      // public static functions
       ();
       (element &, , );
       (element &, , );
      element (, );
       ();
    };

## Description

### `type_serializer` public static functions

1.      ();

2.      (element & n,  name,
                                    value);

3.      (element & n,  name,
                                      value);

4.     element ( name,  prefix);

5.      ( types);